Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class URLEncoderImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.URLEncoderImpl

All Implemented Interfaces:
  URLEncoder

    public class URLEncoderImpl

extends java.lang.Object
implements URLEncoder

Constructor Summary
`URLEncoderImpl()`

Method Summary
`java.lang.String` | `decode(java.lang.String input)` Given a previously encoded string, returns the original input.
`java.lang.String` | `encode(java.lang.String input)` Given an input value containing any characters, returns the input string, or an encoded version of the string (as outlined above).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLEncoderImpl

    public URLEncoderImpl()

Method Detail

### encode

    public java.lang.String encode(java.lang.String input)

  Description copied from interface: `URLEncoder`
  Given an input value containing any characters, returns the input string, or an encoded version of the string (as outlined above).

  Specified by:
    `encode` in interface `URLEncoder`
  Parameters:
    `input` - string to be encoded, which may be null
  Returns:
    encoded version of input

### decode

    public java.lang.String decode(java.lang.String input)

  Description copied from interface: `URLEncoder`
  Given a previously encoded string, returns the original input.

  Specified by:
    `decode` in interface `URLEncoder`
  Parameters:
    `input` - encoded string (may not be null)
  Returns:
    decoded input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.